%
% plot_isovols.m
% by Janet Slifka, Speech Communication Group, RLE, MIT
%
% This program takes as input the isovolume maneuvers plots the ribcage and
% abdomen traces for estimating the ribcage scale factor.
%

clear lstring;
loading_files=1;
tstring=['Data file: '];
count=1;
colors=['r';'b';'c';'m';'g';'k';'y'];

filename=input('Data file:\n','s');
load(filename)
fs=FS;
figure

tstring=[tstring,filename,' '];

tt=[1:length(respirc)]/fs;
plot(tt,respirc,colors(count))
hold on
plot(tt,respiabd,colors(count+1))
grid on   
xlabel('Time (sec)')
ylabel('Respitrace (Volts)')

%lstring(count,:)=sprintf();

title(tstring);
legend(['ribcage';'abdomen']);
